var load_d = '<br /><br /><br /><br /><font size="+2"><center><i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i><br />Загрузка...</center></font>';

/*
--------------------------------------
Оптимальный вариант подгрузки контента
--------------------------------------
*/

$(document).on('click', 'a[id=upgrade-optima]', function(){
  
  var $that = $(this);
    
  var link = $that.attr('action');
  
  $.ajax({
    
    url: link,
    type: "get",
    cache: false,
    beforeSend: function() {
      
      $('#upgrade-optima2').html(load_d);
    
    },
    success: function(html){
      
      $('#upgrade-optima2').html(html);
    
    }
  
  });
  
  return false;

});

$(document).on('click', 'a[id=upload]', function(){
  
  var $that = $(this);
    
  var link = $that.attr('action');
  
  $.ajax({
    
    url: link,
    type: "get",
    cache: false,
    beforeSend: function() {
      
      $('#upload2').html(load_d);
    
    },
    success: function(html){
      
      $('#upload2').html(html);
    
    }
  
  });
  
  return false;

});

/*
------------------------------
Почта. Действия над сообщением
------------------------------
*/

$(document).on('click', 'a[id=msg-upgrade]', function(){
  
  var $that = $(this);
    
  var link = $that.attr('action');
  
  $.ajax({
    
    url: link,
    type: "get",
    cache: false,
    beforeSend: function() {
      
      $('#msg-upgrade2').html(load_d);
    
    },
    success: function(html){
      
      $('#msg-upgrade2').html(html);
    
    }
  
  });
  
  return false;

});

/*
---------------
Прикрепить файл
---------------
*/

$(document).on('click', 'a[id=upload-atcom]', function(){
  
  var $that = $(this);
    
  var link = $that.attr('action');
  
  $.ajax({
    
    url: link,
    type: "get",
    cache: false,
    beforeSend: function() {
      
      $('#upload-atcom-show').html(load_d);
    
    },
    success: function(html){
      
      $("#upload-atcom-show").html(html);
    
    }
  
  });
  
  return false;

});

/*
-----
Видео
-----
*/

$(document).on('click', 'a[id=upload-video]', function(){
  
  var $that = $(this);
    
  var link = $that.attr('action');
  
  $.ajax({
    
    url: link,
    cache: false,
    beforeSend: function() {
      
      $('#upload-video-show').html(load_d);
    
    },
    success: function(html){
      
      $("#upload-video-show").html(html);
    
    }
  
  });
  
  return false;

});

/*
------
Музыка
------
*/

$(document).on('click', 'a[id=upload-music]', function(){
  
  var $that = $(this);
    
  var link = $that.attr('action');
  
  $.ajax({
    
    url: link,
    cache: false,
    beforeSend: function() {
      
      $('#upload-music-show').html(load_d);
    
    },
    success: function(html){
      
      $("#upload-music-show").html(html);
    
    }
  
  });
  
  return false;

});

/*
------
Аватар
------
*/

$(document).on('click', 'a[id=upload-avatar]', function(){
  
  $.ajax({
    
    url: "/system/AJAX/php/avatar.php",    
    cache: false,
    beforeSend: function() {
      
      $('#upload-avatar-show').html(load_d);
    
    },
    success: function(html){
      
      $("#upload-avatar-show").html(html);
    
    }
  
  });
  
  return false;

});

/*
----
Фото
----
*/

$(document).on('click', 'a[id=upload-photo]', function(){
  
  var $that = $(this);
    
  var link = $that.attr('action');
  
  $.ajax({
    
    url: link,
    cache: false,
    beforeSend: function() {
      
      $('#upload-photo-show').html(load_d);
    
    },
    success: function(html){
      
      $("#upload-photo-show").html(html);
    
    }
  
  });
  
  return false;

});

/*
--------
Заставка
--------
*/

$(document).on('click', 'a[id=upload-screensaver]', function(){
  
  $.ajax({
    
    url: "/system/AJAX/php/screensaver.php",
    cache: false,
    beforeSend: function() {
      
      $('#upload-screensaver-show').html(load_d);
    
    },
    success: function(html){
      
      $("#upload-screensaver-show").html(html);
    
    }
  
  });
  
  return false;

});

/*
--------
Статус
--------
*/

$(document).on('click', 'a[id=upload-status]', function(){
  
  $.ajax({
    
    url: "/system/AJAX/php/status.php",
    cache: false,
    beforeSend: function() {
      
      $('#upload-status-show').html(load_d);
    
    },
    success: function(html){
      
      $("#upload-status-show").html(html);
    
    }
  
  });
  
  return false;

});